org.infinispan.schematic.internal.document

## Class JsonReader.Parser.FunctionCall

- java.lang.Object
- - org.infinispan.schematic.internal.document.JsonReader.Parser.FunctionCall

- All Implemented Interfaces:
    Iterable<JsonReader.Parser.FunctionParameter>
  Enclosing class:
    JsonReader.Parser

      protected static class JsonReader.Parser.FunctionCall
      extends Object
      implements Iterable<JsonReader.Parser.FunctionParameter>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonReader.Parser.FunctionCall(String functionName, int lineNumber, int columnNumber)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Object parameter, int lineNumber, int columnNumber)`
    `JsonReader.Parser.FunctionParameter` | `get(int index)`
    `int` | `getColumnNumber()`
    `String` | `getFunctionName()`
    `int` | `getLineNumber()`
    `Iterator<JsonReader.Parser.FunctionParameter>` | `iterator()`
    `int` | `size()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonReader.Parser.FunctionCall

          public JsonReader.Parser.FunctionCall(String functionName,
                                        int lineNumber,
                                        int columnNumber)

  - ### Method Detail

    - #### getFunctionName

          public String getFunctionName()

    - #### add

          public void add(Object parameter,
                 int lineNumber,
                 int columnNumber)

    - #### iterator

          public Iterator<JsonReader.Parser.FunctionParameter> iterator()

      Specified by:
        `iterator` in interface `Iterable<JsonReader.Parser.FunctionParameter>`

    - #### get

          public JsonReader.Parser.FunctionParameter get(int index)

    - #### size

          public int size()

    - #### getLineNumber

          public int getLineNumber()

    - #### getColumnNumber

          public int getColumnNumber()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.